# azure.mgmt.relay.models module

exception `azure.mgmt.relay.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.relay.models.``TrackedResource`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.relay.models.resource_py3.Resource`

  Definition of resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters:

  - location (str) – Required. Resource location.
  - tags (dict[str, str]) – Resource tags.

class `azure.mgmt.relay.models.``ResourceNamespacePatch`(*, tags=None, **kwargs)

  Bases: `azure.mgmt.relay.models.resource_py3.Resource`

  Definition of resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters: | tags (dict[str, str]) – Resource tags.

class `azure.mgmt.relay.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The resource definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.relay.models.``HybridConnection`(*, requires_client_authorization: bool = None, user_metadata: str = None, **kwargs)

  Bases: `azure.mgmt.relay.models.resource_py3.Resource`

  Description of hybrid connection resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.
  - created_at (datetime) – The time the hybrid connection was created.
  - updated_at (datetime) – The time the namespace was updated.
  - listener_count (int) – The number of listeners for this hybrid connection. Note that min : 1 and max:25 are supported.

  Parameters:

  - requires_client_authorization (bool) – Returns true if client authorization is needed for this hybrid connection; otherwise, false.
  - user_metadata (str) – The usermetadata is a placeholder to store user-defined string data for the hybrid connection endpoint. For example, it can be used to store descriptive data, such as a list of teams and their contact information. Also, user-defined configuration settings can be stored.

class `azure.mgmt.relay.models.``WcfRelay`(*, relay_type=None, requires_client_authorization: bool = None, requires_transport_security: bool = None, user_metadata: str = None, **kwargs)

  Bases: `azure.mgmt.relay.models.resource_py3.Resource`

  Description of the WCF relay resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.
  - is_dynamic (bool) – Returns true if the relay is dynamic; otherwise, false.
  - created_at (datetime) – The time the WCF relay was created.
  - updated_at (datetime) – The time the namespace was updated.
  - listener_count (int) – The number of listeners for this relay. Note that min :1 and max:25 are supported.

  Parameters:

  - relay_type (str or Relaytype) – WCF relay type. Possible values include: ‘NetTcp’, ‘Http’
  - requires_client_authorization (bool) – Returns true if client authorization is needed for this relay; otherwise, false.
  - requires_transport_security (bool) – Returns true if transport security is needed for this relay; otherwise, false.
  - user_metadata (str) – The usermetadata is a placeholder to store user-defined string data for the WCF Relay endpoint. For example, it can be used to store descriptive data, such as list of teams and their contact information. Also, user-defined configuration settings can be stored.

class `azure.mgmt.relay.models.``Sku`(*, tier=None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU of the namespace.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | name (str) – Required. Name of this SKU. Default value: “Standard” .
  Parameters: | tier (str or SkuTier) – The tier of this SKU. Possible values include: ‘Standard’

  `name` = 'Standard'

class `azure.mgmt.relay.models.``RelayNamespace`(*, location: str, tags=None, sku=None, **kwargs)

  Bases: `azure.mgmt.relay.models.tracked_resource_py3.TrackedResource`

  Description of a namespace resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.
  - provisioning_state (str or ProvisioningStateEnum) – Possible values include: ‘Created’, ‘Succeeded’, ‘Deleted’, ‘Failed’, ‘Updating’, ‘Unknown’
  - created_at (datetime) – The time the namespace was created.
  - updated_at (datetime) – The time the namespace was updated.
  - service_bus_endpoint (str) – Endpoint you can use to perform Service Bus operations.
  - metric_id (str) – Identifier for Azure Insights metrics.

  Parameters:

  - location (str) – Required. Resource location.
  - tags (dict[str, str]) – Resource tags.
  - sku (Sku) – SKU of the namespace.

class `azure.mgmt.relay.models.``RelayUpdateParameters`(*, tags=None, sku=None, **kwargs)

  Bases: `azure.mgmt.relay.models.resource_namespace_patch_py3.ResourceNamespacePatch`

  Description of a namespace resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.
  - provisioning_state (str or ProvisioningStateEnum) – Possible values include: ‘Created’, ‘Succeeded’, ‘Deleted’, ‘Failed’, ‘Updating’, ‘Unknown’
  - created_at (datetime) – The time the namespace was created.
  - updated_at (datetime) – The time the namespace was updated.
  - service_bus_endpoint (str) – Endpoint you can use to perform Service Bus operations.
  - metric_id (str) – Identifier for Azure Insights metrics.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - sku (Sku) – SKU of the namespace.

class `azure.mgmt.relay.models.``AuthorizationRule`(*, rights, **kwargs)

  Bases: `azure.mgmt.relay.models.resource_py3.Resource`

  Description of a namespace authorization rule.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters: | rights (list[str or AccessRights]) – Required. The rights associated with the rule.

class `azure.mgmt.relay.models.``AccessKeys`(*, primary_connection_string: str = None, secondary_connection_string: str = None, primary_key: str = None, secondary_key: str = None, key_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Namespace/Relay Connection String.

  Parameters:

  - primary_connection_string (str) – Primary connection string of the created namespace authorization rule.
  - secondary_connection_string (str) – Secondary connection string of the created namespace authorization rule.
  - primary_key (str) – A base64-encoded 256-bit primary key for signing and validating the SAS token.
  - secondary_key (str) – A base64-encoded 256-bit secondary key for signing and validating the SAS token.
  - key_name (str) – A string that describes the authorization rule.

class `azure.mgmt.relay.models.``RegenerateAccessKeyParameters`(*, key_type, key: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the regenerate authorization rule operation, specifies which key neeeds to be reset.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key_type (str or KeyType) – Required. The access key to regenerate. Possible values include: ‘PrimaryKey’, ‘SecondaryKey’
  - key (str) – Optional. If the key value is provided, this is set to key type, or autogenerated key value set for key type.

class `azure.mgmt.relay.models.``CheckNameAvailability`(*, name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Description of the check name availability request properties.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str) – Required. The namespace name to check for availability. The namespace name can contain only letters, numbers, and hyphens. The namespace must start with a letter, and it must end with a letter or number.

class `azure.mgmt.relay.models.``CheckNameAvailabilityResult`(*, name_available: bool = None, reason=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Description of the check name availability request properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | message (str) – The detailed info regarding the reason associated with the namespace.

  Parameters:

  - name_available (bool) – Value indicating namespace is available. Returns true if the namespace is available; otherwise, false.
  - reason (str or UnavailableReason) – The reason for unavailability of a namespace. Possible values include: ‘None’, ‘InvalidName’, ‘SubscriptionIsDisabled’, ‘NameInUse’, ‘NameInLockdown’, ‘TooManyNamespaceInCurrentSubscription’

class `azure.mgmt.relay.models.``OperationDisplay`(**kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - provider (str) – Service provider: Relay.
  - resource (str) – Resource on which the operation is performed: Invoice, etc.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.relay.models.``Operation`(*, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Relay REST API operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | name (str) – Operation name: {provider}/{resource}/{operation}
  Parameters: | display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.relay.models.``ErrorResponse`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error reponse indicates Relay service is not able to process the incoming request. The reason is provided in the error message.

  Parameters:

  - code (str) – Error code.
  - message (str) – Error message indicating why the operation failed.

class `azure.mgmt.relay.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.relay.models.``RelayNamespacePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `RelayNamespace` object

class `azure.mgmt.relay.models.``AuthorizationRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `AuthorizationRule` object

class `azure.mgmt.relay.models.``HybridConnectionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `HybridConnection` object

class `azure.mgmt.relay.models.``WcfRelayPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `WcfRelay` object

class `azure.mgmt.relay.models.``Relaytype`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `http` = 'Http'
  `net_tcp` = 'NetTcp'

class `azure.mgmt.relay.models.``SkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `standard` = 'Standard'

class `azure.mgmt.relay.models.``ProvisioningStateEnum`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `created` = 'Created'
  `deleted` = 'Deleted'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `unknown` = 'Unknown'
  `updating` = 'Updating'

class `azure.mgmt.relay.models.``AccessRights`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `listen` = 'Listen'
  `manage` = 'Manage'
  `send` = 'Send'

class `azure.mgmt.relay.models.``KeyType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `primary_key` = 'PrimaryKey'
  `secondary_key` = 'SecondaryKey'

class `azure.mgmt.relay.models.``UnavailableReason`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `invalid_name` = 'InvalidName'
  `name_in_lockdown` = 'NameInLockdown'
  `name_in_use` = 'NameInUse'
  `none` = 'None'
  `subscription_is_disabled` = 'SubscriptionIsDisabled'
  `too_many_namespace_in_current_subscription` = 'TooManyNamespaceInCurrentSubscription'